TIB_SELECTOR            equ 0150bh

a_proc                  Macro ID
                        &ID proc
                        EndM


a_endp                  Macro ID
                        &ID endp
                        public &ID
                        EndM


if_nz                   Macro AW
                        local continue
                        jz continue

                        &AW
continue:
                        EndM



PTR1616                 Struc
  _OFF                  dw ?
  _SEG                  dw ?
PTR1616                 EndS


RequestBlock Struc
 Length_of_Packet       db ?
 Block_Device_Unit_Code db ?
 Command_Code           db ?
 Request_Packet_Status  dw ?
 Reserved               dd ?
 Queue_Linkage          dd ?

 ; Command_Code=0
 Data_1                 db ?
 Pointer_1              dd ?
 Pointer_2              dd ?
 Data_2                 db ?
RequestBlock EndS

Tib2                    Struc           ; System specific portion
  Tib2_ulTid            dd 0            ; Thread I.D.
  Tib2_ulPri            dd 0            ; Thread priority
  Tib2_Version          dd 0            ; Version number for this structure
  Tib2_usMCCount        dw 0            ; Must Complete count
  Tib2_fMCForceFlag     dw 0            ; Must Complete force flag
Tib2                    EndS

Tib                     Struc           ; TIB Thread Information Block
  Tib_PExchain          dd 0            ; Head of exception handler chain
  Tib_PStack            dd 0            ; Pointer to base of stack
  Tib_PStackLimit       dd 0            ; Pointer to end of stack
  Tib_PTib2             dd 0            ; Pointer to system specific TIB
  Tib_Version           dd 0            ; Version number for this TIB structure
  Tib_Ordinal           dd 0            ; Thread ordinal number
Tib                     EndS
