a_proc                  Macro ID
                        &ID proc
                        EndM


a_endp                  Macro ID
                        &ID endp
                        public &ID
                        EndM


error_exit              Macro NUM
                        push &NUM
                        jmp exit_error
                        EndM


if_nz                   Macro AW
                        local continue
                        jz continue

                        &AW
continue:
                        EndM

if_e                    Macro AW
                        local continue
                        jne continue

                        &AW
continue:
                        EndM



PTR1616                 Struc
  _OFF                  dw ?
  _SEG                  dw ?
PTR1616                 EndS


RequestBlock Struc
 Length_of_Packet       db ?
 Block_Device_Unit_Code db ?
 Command_Code           db ?
 Request_Packet_Status  dw ?
 Reserved               dd ?
 Queue_Linkage          dd ?

 ; Command_Code=0
 Data_1                 db ?
 Pointer_1              dd ?
 Pointer_2              dd ?
 Data_2                 db ?
RequestBlock EndS

RequestBlock_10         Struc ; generic ioctl
                        db 13 dup (?)           ; Request Header
  RGI_Function_Category db ?
  RGI_Function_Code     db ?
  RGI_Parameter_Buffer  dd ?
  RGI_Data_Buffer       dd ?
  RGI_System_File_Num   dw ?
RequestBlock_10         EndS


AttachTable             Struc
  reserved00            dw ?
  reserved02            dw ?
  reserved04            dw ?
  IDC_IP_ring0          dw ?
  IDC_CS_ring0          dw ?
  IDC_DS_ring0          dw ?
AttachTable             EndS

tar_header              Struc
  filename              db 100 dup (?)          ; 000
  attrib                db   8 dup (?)          ; 064
  uid                   db   8 dup (?)          ; 06c
  gid                   db   8 dup (?)          ; 074
  filesize              db  12 dup (?)          ; 07c
  filetime              db  12 dup (?)          ; 088
  checksum              db   8 dup (?)          ; 094
  linkflag              db          ?           ; 09c
  linkname              db 100 dup (?)          ; 09d
  magic                 db   8 dup (?)          ; 101
  uname                 db  32 dup (?)          ; 109
  gname                 db  32 dup (?)          ; 129
  devmajor              db   8 dup (?)          ; 149
  devminor              db   8 dup (?)          ; 151
  reserved              db 167 dup (?)          ; 159
tar_header              EndS                    ; 200

FileStatus3             Struc
  Creation_dt           dd ?
  LastAccess_dt         dd ?
  LastWrite_dt          dd ?
  cbFile                dd ?
  cbFileAlloc           dd ?
  attrFile              dd ?
FileStatus3             EndS

Eaop2_record            Struc
  fpGEA2List            dd ?                    ; GEA set
  fpFEA2List            dd ?                    ; FEA set
  oError                dd ?                    ; Offset of FEA error
Eaop2_record            EndS

;empty_Gea2_record       Struc
;  oNextEntryOffset      dd 0                    ; Offset to next entry
;  cbName                db 0                    ; Name length not including NULL
;  szName                db 0                    ; Attribute name
;empty_Gea2_record       EndS

empty_Fea2_record       Struc
  oNextEntryOffset      dd 0                    ; Offset to next entry
  fEA                   db 0                    ; Extended attributes flag
  cbName                db 0                    ; Length of szName, not including NULL
  cbValue               dw 0                    ; Value length
  szName                db 0                    ; Extended attribute name
empty_Fea2_record       EndS


